package com.waytous.anticollision.config

import com.waytous.anticollision.utils.PreferenceDelegate

/**
 * 设置
 * */
object Settings {

    /**
     * 司机姓名
     * */
    var driverName: String = ""
        @Synchronized set

    /**
     * 车牌号
     * */
    var plateNo: String = ""
        @Synchronized set

    /**
     * 设备唯一识别码
     * */
    var deviceId: String by PreferenceDelegate("deviceId", "")

    /**
     * 是否已注册
     * */
    var isRegistered: Boolean by PreferenceDelegate("isRegistered", false)

    /**
     * 设备注册鉴权码
     * */
    var token: String by PreferenceDelegate("token", "")

    /**
     * 心跳周期
     * */
    var heartbeatInterval:Long by PreferenceDelegate("heartbeatInterval", 2)

}